Metacat - Bug #4612

EML file content out of sync with metacat
12/08/2009 04:46 PM - Oliver Soong
Priority: Normal Due date:
Bugzilla-ld: 4612

Description

This is on dev.nceas.ucsb.edu. Search for soong_test. There should be 2 entries for "soong_test 1". One has ID soong_test.3.2
and the other has ID doc.1260314433875.1. Open doc.1260314433875.1 and look at the EML, which should be for soong_test.3.3.

| was testing the ecogrid writer actor in Kepler. | may not have been doing things correctly.

History

#1 - 12/08/2009 08:44 PM - Matt Jones

Oliver,

Please provide more information on what you were trying to do with the EcoGrid put actor, what precisely went wrong, and what you expected to
happen. lIts not clear from your description, and from your description it seems more likely that this is a Kepler bug than a Metacat bug. For example,
why are there two versions of the metadata record -- is one an update of the other? Did you run the EcoGrid actor twice (how did both records get
into Metacat)? How did you configure the EcoGrid actor to run with a template EML document -- it is supposed to take an EML document on input, so
how did you generate it? Did the document that ended up in Metacat match the input you provided in Kepler? Etc.

If this is a bug in how the EcoGrid actor works then we should retarget it at Kepler so that its not in Mike's realm. Either way the issue needs
significant clarification. Thanks.

#2 - 12/08/2009 08:52 PM - Oliver Soong

Yeah, | should have been clearer. I'm pretty sure | did something wrong with the actor in Kepler, but | wanted to raise all those sorts of questions like
you're asking with somebody who knows how this thing is supposed to work. The point of the metacat bug is twofold.

1. There's something messy in the dev metacat database. | wanted to mention it just in case it caused other problems with the metacat.

2. If this condition does cause internal problems with metacat (I don't know, but it's outside "normal"), or if you all decide it should really never happen,
then maybe there should be some validation before accepting it from Kepler.

I'm not certain yet that it's a Kepler bug so much as a PEBKAC.

#3 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4612

#4 - 04/03/2013 04:05 PM - ben leinfelder

- Status changed from New to Rejected
